/*
 * ValidarDepartamentoRuleDependiente.java
 *
 * Created on 28 de marzo de 2007, 11:22 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.io.File;

/**
 * 
 * @author Jsolano
 */
public class ValidarDepartamentoRuleDependiente extends AbstractRule {

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {

			String codigoDepto = field;

			File file = new File(System.getProperty("user.dir")
					+ File.separator + "departamentos" + File.separator
					+ codigoDepto + ".properties");
			if (!file.exists()) {
				return true;
			}

		}
		return false;
	}

}
